using System;
using System.Drawing;
using System.Windows.Forms;
using Plux;


[Extension]
[Plug("Plux.View")]
[ParamValue("Name", "HelloWorld")]
[ParamValue("MenuItem", "&View|0.4~HelloWorld|0.5##chat.ico")]
[ParamValue("OrderIndex", 0.5f)]
[ParamValue("Icon", "chat.ico")]
public class HelloWorld : IView {
  private readonly Label label;

  public HelloWorld() {
    label = new Label {
        Font = new Font("Tahoma", 13.8F, FontStyle.Bold),
        ForeColor = Color.White,
        BackColor = SystemColors.Desktop,
        TextAlign = ContentAlignment.MiddleCenter,
        Text = "Hello World",
    };
  }

  public string Name { get { return "This name is dynamic: " + DateTime.Now; } }
  public Control Control { get { return label; } }
}


[Extension]
[Plug("Plux.Action")]
[Plug("ShortcutBar.Action")]
[ParamValue("MenuItem", "&View|0.4~HelloWorld MsgBox|0.49##chat.ico")]
[ParamValue("Icon", "chat.ico")]
public class HelloAction1 : IAction {
  #region IAction Members

  public void Do(object sender, ActionEventArgs e) {
    MessageBox.Show(
        "Plux says: Hello World", "Hello World",
        MessageBoxButtons.OK, MessageBoxIcon.Information);
  }

  public bool IsEnabled(object s, ActionEventArgs args) {
    return true;
  }

  #endregion
}