using System.Windows.Forms;
using Plux;

[Extension]
[Plug("Plux.View", OnPlugged = "ViewPlug_Plugged")]
[ParamValue("Name", "Metrix Concept")]
[ParamValue("MenuItem", "&View|0.4~Metrix Concept|0.69")]
[ParamValue("OrderIndex", 0.69f)]
[Slot("Metrix.View", DerivedFrom = "Plux.View",
  OnPlugged = "View_Plugged", OnUnplugged = "View_Unplugged")]
[Slot("Metrix.Control", DerivedFrom="Plux.TabPage",
  AutoRelease=false, AutoPlug=false, Multiple = true)]
public partial class MetrixConfig : UserControl, IView {
  public MetrixConfig() {
    InitializeComponent();
  }
  #region IView Members
  public Control Control {
    get { return this; }
  }
  #endregion
  public void ViewPlug_Plugged(object s, PlugEventArgs args) {
    SlotInfo slot = Runtime.GetSlotInfo(this, "Metrix.Control");
    tab.Attach(slot);
    tab.GetCaption = GetCaption;
    tab.GetOrder = GetOrderIndex;
    tab.PageAdded = PageAdded;
  }
  public string GetCaption(PlugTypeInfo pti) {
    return (string) pti.GetParamValue("Caption");
  }
  public float GetOrderIndex(PlugTypeInfo pti) {
    return (float) pti.GetParamValue("OrderIndex");
  }
  public void View_Plugged(object s, PlugEventArgs args) {
    Control ctl = ((IView) args.Extension).Control;
    ctl.Dock = DockStyle.Fill;
    split.Panel1.Controls.Add(ctl);
  }
  public void View_Unplugged(object s, PlugEventArgs args) {
    Controls.Remove(((IView) args.Extension).Control);
  }
  public void PageAdded(ITabPage page) {
    page.Control.Dock = DockStyle.Fill;
  }
}