﻿using System.Collections;
using System.Windows.Forms;


public partial class SearchForm : Form {
  public SearchForm() {
    InitializeComponent();
    KeyPreview = true;
    KeyDown += SearchForm_KeyDown;
  }

  private void SearchForm_KeyDown(object sender, KeyEventArgs e) {
    switch (e.KeyCode) {
      case Keys.Enter:
        DialogResult = DialogResult.OK;
        break;
      case Keys.Escape:
        DialogResult = DialogResult.Cancel;
        break;
    }
    if (e.KeyCode == Keys.Escape || e.KeyCode == Keys.Enter) {
      Close();
      e.Handled = true;
    }
  }

  public SearchForm(IEnumerable values) : this() {
    search.Items = values;
  }

  public object SelectedItem { get { return search.result.SelectedItem; } }

  public SearchControl.FormatDelegate Format { set { search.Format = value; } }
}